import { ConfigService } from '@nestjs/config';
export declare class MailService {
    private configService;
    private transporter;
    constructor(configService: ConfigService);
    sendMail(fileName: string, to: string, placeholders: Record<string, string>, subject?: string): Promise<void>;
    loadTemplate(templateName: string, placeholders: Record<string, string>): Promise<string>;
}
